[arch-commits] Commit in kmobiletools/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat May 2 12:21:45 EDT 2009


    Date: Saturday, May 2, 2009 @ 12:21:44
  Author: jgc
Revision: 37514

Merged revisions 37508,37513 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/kmobiletools/trunk

........
  r37508 | jgc | 2009-05-02 17:48:41 +0200 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: kmobiletools 0.5.0beta3-3
      Rebuild for new bluez/obexftp
........
  r37513 | jgc | 2009-05-02 18:21:26 +0200 (Sat, 02 May 2009) | 2 lines
  
  upgpkg: kmobiletools 0.5.0beta3-3
      Add libusb depends (though covered by base group already)
........

Modified:
  kmobiletools/repos/extra-i686/	(properties)
  kmobiletools/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)


Property changes on: kmobiletools/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /kmobiletools/trunk:1-6745
   + /kmobiletools/trunk:1-37513

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-02 16:21:26 UTC (rev 37513)
+++ extra-i686/PKGBUILD	2009-05-02 16:21:44 UTC (rev 37514)
@@ -4,20 +4,18 @@
 pkgname=kmobiletools
 pkgver=0.5.0beta3
 _origver=0.5.0-beta3
-pkgrel=2
+pkgrel=3
 pkgdesc="Make you mobile phone communicate with your PC"
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://www.kmobiletools.org"
-depends=('qt3>=3.3.8' 'kdelibs3')
-source=(http://download.berlios.de/kmobiletools/kmobiletools-$_origver.tar.bz2)
+depends=('qt3>=3.3.8-10' 'kdelibs3>=3.5.10' 'obexftp>=0.23-2' 'libusb')
+source=(http://download.berlios.de/kmobiletools/kmobiletools-${_origver}.tar.bz2)
+md5sums=('2880ca9b21ba4f70088be64b6ef6a39b')
 
 build() {
-  cd $startdir/src/$pkgname-$_origver
-   ./configure --prefix=/opt/kde --enable-final --disable-debug --without-arts
-   make || return 1
-   make DESTDIR=$startdir/pkg/ install
- }
-
-
-md5sums=('2880ca9b21ba4f70088be64b6ef6a39b')
+  cd "${srcdir}/${pkgname}-${_origver}"
+  ./configure --prefix=/opt/kde --enable-final --disable-debug --without-arts || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list